Update a manual test case
curl --request PATCH \
--url https://api.testdino.com/api/v1/public/{projectId}/manual-test-cases/{caseId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"preconditions": "<string>",
"postconditions": "<string>",
"steps": [
{}
],
"priority": "<string>",
"severity": "<string>",
"type": "<string>",
"layer": "<string>",
"behavior": "<string>",
"automationStatus": "<string>",
"tags": "<string>",
"flags": [],
"customFields": {},
"comments": [
"<string>"
],
"issues": [
"<string>"
]
}
'import requests
url = "https://api.testdino.com/api/v1/public/{projectId}/manual-test-cases/{caseId}"
payload = {
"title": "<string>",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"preconditions": "<string>",
"postconditions": "<string>",
"steps": [{}],
"priority": "<string>",
"severity": "<string>",
"type": "<string>",
"layer": "<string>",
"behavior": "<string>",
"automationStatus": "<string>",
"tags": "<string>",
"flags": [],
"customFields": {},
"comments": ["<string>"],
"issues": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
name: '<string>',
description: '<string>',
status: '<string>',
preconditions: '<string>',
postconditions: '<string>',
steps: [{}],
priority: '<string>',
severity: '<string>',
type: '<string>',
layer: '<string>',
behavior: '<string>',
automationStatus: '<string>',
tags: '<string>',
flags: [],
customFields: {},
comments: ['<string>'],
issues: ['<string>']
})
};
fetch('https://api.testdino.com/api/v1/public/{projectId}/manual-test-cases/{caseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {},
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"hasNext": true,
"hasPrev": true
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or unknown user PAT"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Too many requests"
}
}Update manual test case
Update fields on a manual test case. Send only the fields to change.
PATCH
/
{projectId}
/
manual-test-cases
/
{caseId}
Update a manual test case
Authorizations
User PAT (td_pat_) scoped to the target project
Path Parameters
The project identifier (e.g. project_abc123). Must match the project associated with your PAT.
Internal _id or a counter-style ID like TC-123.
Body
application/json
Send only the fields to change. At least one is required.
Maximum string length:
500Alias for title.
Maximum string length:
500Available options:
Classic, Gherkin Full replacement of the case's steps.
Maximum array length:
100Available options:
To be Automated, Is flaky, Muted Show child attributes
Show child attributes
Each string is appended as a new comment.
Maximum array length:
20Jira ticket keys to link (e.g. PROJ-123).
Maximum array length:
50Was this page helpful?
⌘I